All Vulnerability Reports

CVE-2019-3777: Apps Manager unverified SSL certs in Cloud Controller proxy


Severity

High

Vendor

Pivotal

Description

Pivotal Application Service (PAS), versions 2.2.x prior to 2.2.12, 2.3.x prior to 2.3.7 and 2.4.x prior to 2.4.3, contain apps manager that uses a cloud controller proxy that fails to verify SSL certs. A remote unauthenticated attacker that could hijack the Cloud Controller's DNS record could intercept access tokens sent to the Cloud Controller, giving the attacker access to the user's resources in the Cloud Controller

Affected Pivotal Products and Versions

Severity is high unless otherwise noted.

  • Pivotal Application Service (PAS)
    • 2.2.x versions prior to 2.2.12
    • 2.3.x versions prior to 2.3.7
    • 2.4.x versions prior to 2.4.3
Mitigation

Users of affected versions should apply the following mitigation:

  • Releases that have fixed this issue include:
    • Pivotal Application Service (PAS) 2.2.12
    • Pivotal Application Service (PAS) 2.3.7
    • Pivotal Application Service (PAS) 2.4.3
History

2019-02-26: Initial vulnerability report published.

문의